Zookeeper fails to start after upgrading from 1.7 to 1.8.1

Description

After upgrading my first master (not the active master) from 1.7 to 1.8.1 zookeeper failed come back online. I noticed the following error in the logs:

It appears that during the upgrade exhibitor was modified to no longer run as root, but now runs as a dedicated dcos_exhibitor user.

Running the following worked around the issue for me, however something like this should probably be baked into the installation process.

This comes up anytime the exhibitor_backend is anything other than static

Assignee

Branden Rolston

Labels

None

Components

Configure